<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="EPSOS2XDR"/>
    <ui:define name="head">
        <h:outputStylesheet library="stylesheet" name="resultStyle.css"/>
    </ui:define>
    <ui:define name="body">
        <h1>#{ePSOS2XDRManager.getTheNameOfThePage()}</h1>
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>

            #{ePSOS2XDRManager.init()}

            <s:div id="globalDiv">
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{ePSOS2XDRManager.getTheNameOfThePage()}</f:facet>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToSendAnEDispensat_2']}"/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ItActsAsAnActorDocumentSourceSendingDocumentsToA_2']}"/>
                    <br/>
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                    <ul>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.SelectYourRepositoryConfigurationOrAddANewOneOnT']} "/>
                            <h:outputLink
                                    value="/XDStarClient/configuration/common/configurations.seam"
                                    title="#{messages['net.ihe.gazelle.xdstar.XDSRespondersConfigurations']}">
                                #{messages['net.ihe.gazelle.xdstar.Configurations']}
                            </h:outputLink>
                            <h:outputText value=". "/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheSubmissionSetThePatientIdOfT']} "/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.UploadTheDocumentToSubmitAndFulfilRelatedMetadat']}"/>
                        </li>
                        <li>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToSendTheDocumentToTheRel']}"/>
                        </li>
                    </ul>
                    <ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
                                  value="messageConfigurationDiv"/>
                        <ui:param name="simuManager" value="#{ePSOS2XDRManager}"/>
                        <ui:param name="diagramFile" value="/img/PDS.png"/>
                        <ui:param name="sourceID"
                                  value="#{oid.getSourceOid(ePSOS2XDRManager.selectedAffinityDomain.keyword)}"/>
                        <ui:param name="simulatorConfigurationName"
                                  value="#{messages['net.ihe.gazelle.xdstar.ProvideDataServiceConsumer']}"/>
                        <ui:param name="displaySourceId" value="#{false}"/>
                        <ui:param name="displayhomeCommunityId" value="#{false}"/>
                    </ui:include>
                    <!-- MESSAGE CONFIGURATION -->
                    <s:div id="messageConfigurationDiv">
                        <gri:panel
                                rendered="#{ePSOS2XDRManager.selectedConfiguration != null}">
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSMetadatas']}</f:facet>
                            <table style="width: 100%;">
                                <tr valign="top">
                                    <td width="25%" valign="top">
                                        <s:div id="treereRender">
                                            #{ePSOS2XDRManager.getTreeNodeSubmissionSet()}
                                            <rich:tree id="treesubid"
                                                       value="#{ePSOS2XDRManager.treeNodeSubmission}"
                                                       adviseNodeOpened="#{ePSOS2XDRManager.getAdviseNodeOpened()}"
                                                       var="node" style="vertical-align:top"
                                                       nodeType="#{node.data.class.simpleName}" toggleType="client">
                                                <rich:treeNode type="XDSSubmissionSet" id="xdssubid" expanded="true"
                                                               width="20" height="20">
                                                    <a4j:commandLink
                                                            value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
                                                            style="font-weight:bold;"
                                                            rendered="#{ePSOS2XDRManager.editSubmissionSet}"
                                                            actionListener="#{ePSOS2XDRManager.editXDSSubmissionSet()}"
                                                            render="metadata_id,treesubid"/>
                                                    <a4j:commandLink
                                                            value="#{messages['net.ihe.gazelle.xdstar.SubmissionSet']} #{node.data.title}"
                                                            rendered="#{!ePSOS2XDRManager.editSubmissionSet}"
                                                            actionListener="#{ePSOS2XDRManager.editXDSSubmissionSet()}"
                                                            render="metadata_id,treesubid"/>
                                                    <gdk:spacer width="5"/>
                                                    <a4j:commandLink execute="@form"
                                                                     actionListener="#{ePSOS2XDRManager.addDocumentEntry(node.data)}"
                                                                     render="treereRender,metadata_id">
														<span class="gzl-icon-stack"
                                                              title="#{messages['net.ihe.gazelle.xdstar.AddXDSDocumentEntryToTheSubmissionSet']}">
                       										 <i class="gzl-icon-files-o gzl-icon-stack-1x"></i>
                                                             <i class="gzl-icon-plus gzl-icon-stack-1x gzl-icon-stack-bottom-right"></i>
                    									</span>
                                                    </a4j:commandLink>
                                                </rich:treeNode>
                                                <rich:treeNode type="XDSDocumentEntry" id="xdsdocid" expanded="true"
                                                               width="20" height="20">
                                                    <a4j:commandLink value="#{node.data.title}"
                                                                     style="font-weight:bold;"
                                                                     rendered="#{ePSOS2XDRManager.selectedXDSDocumentEntry.equals(node.data) and ePSOS2XDRManager.editXDSDocumentEntry}"
                                                                     actionListener="#{ePSOS2XDRManager.editXDSDocumentEntry(node.data)}"
                                                                     render="metadata_id,treesubid"/>
                                                    <a4j:commandLink value="#{node.data.title}"
                                                                     rendered="#{!ePSOS2XDRManager.selectedXDSDocumentEntry.equals(node.data) or !ePSOS2XDRManager.editXDSDocumentEntry}"
                                                                     actionListener="#{ePSOS2XDRManager.editXDSDocumentEntry(node.data)}"
                                                                     render="metadata_id,treesubid"/>
                                                    <a4j:commandLink
                                                            title="#{messages['net.ihe.gazelle.xdstar.DeleteXDSDocumentEntry']}#{node.data.title}'"
                                                            actionListener="#{ePSOS2XDRManager.deleteXDSDocument(node.data)}"
                                                            execute="@this"
                                                            render="treereRender,metadata_id">
                                                        <span class="gzl-icon-trash-o"/>
                                                    </a4j:commandLink>
                                                </rich:treeNode>
                                            </rich:tree>
                                        </s:div>
                                    </td>
                                    <td width="75%">
                                        <s:div id="metadata_id">
                                            <f:subview id="subview_1">
                                                <ui:include src="/provide_register/submissionSet.xhtml">
                                                    <ui:param name="pnrIHEManager" value="#{ePSOS2XDRManager}"/>
                                                </ui:include>
                                            </f:subview>
                                            <f:subview id="subview_2">
                                                <ui:include src="documentEntry.xhtml">
                                                    <ui:param name="pnrIHEManager" value="#{ePSOS2XDRManager}"/>
                                                </ui:include>
                                            </f:subview>
                                        </s:div>
                                    </td>
                                </tr>
                            </table>
                            <!-- XUA -->
                            <f:subview id="subview_3">
                                <ui:include src="/simu/xua.xhtml">
                                    <ui:param name="simuManager" value="#{ePSOS2XDRManager}"/>
                                </ui:include>
                            </f:subview>
                        </gri:panel>
                        <br/>
                        <a4j:commandButton id="previewButton" styleClass="gzl-btn-blue"
                                           rendered="#{ePSOS2XDRManager.selectedConfiguration != null}"
                                           oncomplete="jq162('#previewMessagePanelIHE').modal('show');"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           render="previewForm"/>
                        <a4j:commandButton styleClass="gzl-btn-green"
                                           rendered="#{ePSOS2XDRManager.selectedConfiguration != null}"
                                           value="#{messages['gazelle.xdrsrc.Execute']}"
                                           actionListener="#{ePSOS2XDRManager.sendProvideAndRegisterSetb()}"
                                           render="messagesDiv"/>
                        <br/>
                        <br/>
                        <s:div id="messagesDiv">
                            <gri:panel id="messagePanel"
                                       rendered="#{ePSOS2XDRManager.displayResultPanel == true}">
                                <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
                                #{allMessageManagerBean.listMessagesToDisplay()}
                                <ui:include src="/messages/messageTable.xhtml">
                                    <ui:param name="messageManagerBean"
                                              value="#{allMessageManagerBean}"/>
                                </ui:include>
                            </gri:panel>
                        </s:div>
                        <f:subview id="subview_4">
                            <ui:include src="/provide_register/pnr_modalPanel.xhtml">
                                <ui:param name="pnrIHEManager" value="#{ePSOS2XDRManager}"/>
                            </ui:include>
                        </f:subview>
                    </s:div>
                </gri:panel>
            </s:div>
        </h:form>
        <gri:popupPanel id="validation_result" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#validation_result').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <h:form id="valform">
                <h:panelGrid columns="3">
                    <s:decorate template="/layout/edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ModelBasedValidator']}</ui:define>
                        <h:selectOneMenu value="#{ePSOS2XDRManager.selectedValidator}"
                                         styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems value="#{ePSOS2XDRManager.getListCDAEpsosValidators()}" var="val"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                           label="#{val}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <gdk:spacer width="10px"/>
                    <a4j:commandButton action="#{ePSOS2XDRManager.validateCurrentCDAFileAccordingToSelectedValidator()}"
                                       value="#{messages['net.ihe.gazelle.xdstar.Validate']}" render="valform"
                                       styleClass="gzl-btn-green"/>
                </h:panelGrid>
                <s:decorate id="valresid" style="width:780px; height:350px; overflow: auto;">
                    <h:outputText
                            rendered="#{ePSOS2XDRManager.validationResult != null and !ePSOS2XDRManager.validationResult.equals('')}"
                            value="#{ePSOS2XDRManager.validationResult}" escape="false"/>
                </s:decorate>
            </h:form>
        </gri:popupPanel>
    </ui:define>
</ui:composition>
